<header>
  <nav class='navbar navbar-expand-sm navbar-toggleable-sm navbar-light bg-white border-bottom box-shadow mb-3'>
    <div class="container">
      <a class="navbar-brand">ShopperPlace</a>
      <button class="navbar-toggler" type="button" data-toggle="collapse" data-target=".navbar-collapse" aria-label="Toggle navigation"
              [attr.aria-expanded]="isExpanded" (click)="toggle()">
        <span class="navbar-toggler-icon"></span>
      </button>
      <div class="navbar-collapse collapse d-sm-inline-flex flex-sm-row-reverse" [ngClass]='{"show": isExpanded}'>
        <ul class="navbar-nav flex-grow">
          <li class="nav-item" *ngFor="let type of typeList">
            <a class="nav-link text-dark" (mouseover)="expendMenu(type.id)" >{{type.name}}</a>
            
          </li>

        </ul>
        <ul *ngIf="childMenuShow" [hidden]="!childMenuShow">
          <li *ngFor="let tc of subMenu">
            {{tc.category.name}}
            <ul>
              <li *ngFor="let subCategory of tc.category.subCategory">{{subCategory.name}}</li>
            </ul>
          </li>

        </ul>
      </div>
    </div>
  </nav>
</header>
